#
# spec file for package 
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Summary:	Write Python extensions in C++
Name:		python-cxx
Version:	6.2.3
Release:	2.2
License:	GPL
Group:		Development/Languages/Python
URL:		http://CXX.sourceforge.net/
Source0:	pycxx-%{version}.tar.bz2
Source1:	%name-rpmlintrc
Patch0:		%name-%version-change-include-paths.patch
Patch1:		%name-%version-fix-indentation.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
BuildRequires:	python-devel
%py_requires

%description
PyCXX is a set of classes to help create extensions of Python in the C
language. The first part encapsulates the Python C API taking care of
exceptions and ref counting. The second part supports the building of Python
extension modules in C++.

%package devel
Summary:	Python-cxx Header files
Group:		Development/Languages/Python
Requires: 	%name = %version
Requires:	python-devel

%description devel
Header files and documentation for python-cxx development.


%prep
%setup -q -n pycxx-%version
%patch0 -p1
%patch1 -p1

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --root="%{buildroot}" --prefix="%{_prefix}"

%__install CXX/*.hxx %buildroot/%_includedir/*/CXX
%__install CXX/*.h %buildroot/%_includedir/*/CXX/
%__cp -R CXX/Python2 %buildroot/%_includedir/*/CXX/
#dh_link -ppython-cxx-dev /usr/include/$${i}/CXX/ /usr/include/$${i}_d/CXX; \
%__install Src/*.c %buildroot/%_datadir/*/CXX/
%__install Src/*.cxx %buildroot/%_datadir/*/CXX/
%__cp -R Src/Python2 %buildroot/%_datadir/*/CXX/

chmod -x %buildroot/%_datadir/python*/CXX/*.*
chmod -x %buildroot/%_includedir/python*/CXX/*.*


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README.html COPYRIGHT
%dir %{python_sitelib}/CXX
%{python_sitelib}/CXX-%version-py*.egg-info
%{python_sitelib}/CXX/__init__.py
%{python_sitelib}/CXX/__init__.pyc

%files devel
%defattr(-, root, root)
%doc  Doc/Python2/
%dir %_datadir/python*
%_includedir/python*/CXX
%_datadir/python*/CXX

%changelog
* Sun May  8 2011 andrea@links2linux.de
- New package
